grk::grk_simple_mcc_decorrelation_data Struct Reference

MCC decorrelation data. More...

`#include <CodingParams.h>`

## Public Attributes

uint32_t | index_
uint32_t | nb_comps_
grk_mct_data * | decorrelation_array_
grk_mct_data * | offset_array_
uint32_t | is_irreversible_: 1

## Detailed Description

MCC decorrelation data.

## Member Data Documentation

## decorrelation_array_

grk_mct_data* grk::grk_simple_mcc_decorrelation_data::decorrelation_array_

Referenced by grk::TileCodingParams::copy(), and grk::CodeStreamDecompress::read_mct().

## index_

uint32_t grk::grk_simple_mcc_decorrelation_data::index_

## is_irreversible_

uint32_t grk::grk_simple_mcc_decorrelation_data::is_irreversible_

## nb_comps_

uint32_t grk::grk_simple_mcc_decorrelation_data::nb_comps_

## offset_array_

grk_mct_data* grk::grk_simple_mcc_decorrelation_data::offset_array_

The documentation for this struct was generated from the following file:

- CodingParams.h